clang 8.0.0

Functions
ComparisonCategories.cpp File Reference
`#include "clang/AST/ComparisonCategories.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/AST/Type.h"`
`#include "llvm/ADT/SmallVector.h"`
Include dependency graph for ComparisonCategories.cpp:

Go to the source code of this file.

## Functions
static const NamespaceDecl * | lookupStdNamespace (const ASTContext &Ctx, NamespaceDecl *&StdNS)
static CXXRecordDecl * | lookupCXXRecordDecl (const ASTContext &Ctx, const NamespaceDecl *StdNS, ComparisonCategoryType Kind)

## Function Documentation

## ◆ lookupCXXRecordDecl()

static CXXRecordDecl* lookupCXXRecordDecl | ( | const ASTContext & | Ctx,
|  | const NamespaceDecl * | StdNS,
|  | ComparisonCategoryType | Kind
| ) |  |
| static

Definition at line 80 of file ComparisonCategories.cpp.

Referenced by clang::ComparisonCategories::lookupInfo().

## ◆ lookupStdNamespace()

static const NamespaceDecl* lookupStdNamespace | ( | const ASTContext & | Ctx,
|  | NamespaceDecl *& | StdNS
| ) |  |
| static

Definition at line 69 of file ComparisonCategories.cpp.

References clang::DeclContextLookupResult::front(), clang::IdentifierTable::get(), clang::ASTContext::getTranslationUnitDecl(), clang::ASTContext::Idents, clang::DeclContext::lookup(), and clang::DeclContextLookupResult::size().

Referenced by clang::ComparisonCategories::lookupInfo().